MCP Tools Reference: slidesmcp.googleapis.com

ツール: read_presentation

Google スライドのプレゼンテーションの JSON 表現を読み取ります。

REST API の presentations.get に対応します。

次のサンプルは、curl を使用して read_presentation MCP ツールを呼び出す方法を示しています。

Curl リクエスト
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

プレゼンテーションを読み取るリクエスト。

ReadPresentationRequest

JSON 表現
{
  "presentationId": string
}
フィールド
presentationId

string

必須。コンテンツを読み取るプレゼンテーションの ID。

出力スキーマ

プレゼンテーションの JSON 表現を含むレスポンス。

ReadPresentationResponse

JSON 表現
{
  "content": string
}
フィールド
content

string

Google スライドのプレゼンテーションの JSON 表現。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ✅